Summary:	Red Flag User/Group Management Tool
Name:		rfuser
Version:	2.1.13
Release:	15%{?dist}
Source:		rfuser-%{version}.tar.gz
Source1:	rfuser_zh_CN.qm
Source2:	rfuser_zh_TW.qm
Source3:	rfuser_ko.qm
Source4:	rfuser_ko.ts
Source5:	qtstuff_ja.ts  
Source6:	qtstuff_ko.ts
Source7:	qtstuff_ja.qm
Source8:	qtstuff_ko.qm	
Source9:	rfuser-manual-ja.html
Source10:	rfuser-manual-ja.xml
Source11:        rfuser_manual_ko_KR.html
Source12:        rfuser_manual_ko_KR.xml
Patch:		rfuser-add-user-function.patch
Patch1:		rfuser-checksimplepassword.patch
Patch2:         rfuser.desktop.patch
Patch3:		rfuser-maxuid.patch
Patch4:		rfuser-suppress-debug.patch
Patch5:		rfuser-deny-login.patch
Patch6:		rfuser-delete-primary-group.patch
Patch7:		rfuser-Japanese-manual.patch
Patch8:		rfuser-user-renaming.patch
Patch9:		rfuser-libuser-license.patch
Patch10:         rfuser-Korean-manual.patch	
Patch11:         rfuser-user-renaming-deadloop.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Group:		Applications/System
License:	GPL

%description
User Administration tool

%prep
%setup -q 
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

cp %{SOURCE9} .
cp %{SOURCE10} .
cp %{SOURCE11} .
cp %{SOURCE12} .

%build
%ifarch x86_64 ppc64
export suffix=64
%else
export suffix=""
%endif
touch Makefile
unset QTDIR && . /etc/profile.d/qt.sh
make
. ./makeso.sh

%install
rm -rf $RPM_BUILD_ROOT

unset QTDIR && . /etc/profile.d/qt.sh

%makeinstall
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/rfmin/include/rfuser/
mkdir -p $RPM_BUILD_ROOT/usr/lib/rfmin/lib/
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
mkdir -p $RPM_BUILD_ROOT/usr/share/rfuser
mkdir -p $RPM_BUILD_ROOT/usr/share/rfuser/pic
mkdir -p $RPM_BUILD_ROOT/tmp/.rfuser/

cp rfuser $RPM_BUILD_ROOT/usr/bin
cp *qm $RPM_BUILD_ROOT/usr/share/rfuser
cp -f %{SOURCE1} $RPM_BUILD_ROOT/usr/share/rfuser
cp -f %{SOURCE2} $RPM_BUILD_ROOT/usr/share/rfuser
cp -f %{SOURCE3} $RPM_BUILD_ROOT/usr/share/rfuser
cp -f %{SOURCE7} $RPM_BUILD_ROOT/usr/share/rfuser
cp -f %{SOURCE8} $RPM_BUILD_ROOT/usr/share/rfuser
cp *xpm $RPM_BUILD_ROOT/usr/share/rfuser
cp *html $RPM_BUILD_ROOT/usr/share/rfuser
cp *xml $RPM_BUILD_ROOT/usr/share/rfuser
cp index  $RPM_BUILD_ROOT/usr/share/rfuser
cp index.cache  $RPM_BUILD_ROOT/usr/share/rfuser
cp rfuser.desktop $RPM_BUILD_ROOT/tmp/.rfuser/
cp libdefine.h $RPM_BUILD_ROOT/usr/lib/rfmin/include/rfuser/
cp librfuser.so $RPM_BUILD_ROOT/usr/lib/rfmin/lib/
#cp librfuser.so $RPM_BUILD_ROOT/usr/lib/
cp rfuser.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/
cp $RPM_BUILD_ROOT/tmp/.rfuser/rfuser.desktop $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/
mkdir -p $RPM_BUILD_ROOT/usr/share/applnk/Settings/
cp $RPM_BUILD_ROOT/tmp/.rfuser/rfuser.desktop $RPM_BUILD_ROOT/usr/share/applnk/Settings/

%post
ln -fs /usr/lib/rfmin/lib/librfuser.so /usr/lib/librfuser.so
#if [ -x /usr/bin/ctrlpanel ];then
#    /usr/bin/ctrlpanel -g GroupSys -i /tmp/.rfuser/rfuser.desktop
#fi

chmod 700 /usr/bin/rfuser

%postun
#if [ -x /usr/bin/ctrlpanel ];then
#    /usr/bin/ctrlpanel -g GroupSys -u rfuser
#fi

%files
/usr/lib/rfmin/include/rfuser/libdefine.h
/usr/lib/rfmin/lib/librfuser.so
#/usr/lib/librfuser.so
/usr/bin/rfuser
/usr/share/rfuser/*qm
/usr/share/rfuser/index
/usr/share/rfuser/index.cache
/usr/share/rfuser/*html
/usr/share/rfuser/*xml
/usr/share/rfuser/*xpm
/usr/share/pixmaps/rfuser.xpm
%exclude /tmp/.rfuser/*
/etc/sysconfig/khwtree/GroupSys/rfuser.desktop
/usr/share/applnk/Settings/rfuser.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Nov 26 2009 Sun Guodong <sunguodong@redflag-linux.com> 2.1.13-15%{?dist}
- fix the dead loop occured when renaming user "adm" (Patch9, AXBug#7105)

* Tue Nov 03 2009 Namkung Sungmin <sm@haansoft.com> 2.1.13-14%{?dist}
- Add Korean manual (AXBug#7154)

* Mon Nov  2 2009 Sun Guodong <sunguodong@redflag-linux.com> 2.1.13-13%{?dist}
- fix updating of groups after user renaming (Patch7, AXBug#7105)
  add libuser's license declaration (Patch8)

* Mon Nov 02 2009 Mika Kamei <mkamei@miraclelinux.com> 2.1.13-12%{?dist}
- add Japanese-manual (Patch7, Source9, 10, AXBug#7180)

* Mon Nov 02 2009 Zhao Min <zhaomin@redflag-linux.com>? 2.1.13-11%{?dist}
- chmod 700 for rfuser

* Tue Oct 20 2009 Sun Guodong <sunguodong@redflag-linux.com> 2.1.13-10%{?dist}
- suppress debug messages in release edition (Patch4, AXBug#7104)
  show the "Deny Login" checkbox in user properties dialog (Patch5, AXBug#7128)
  when deleting a user, try to delete its primary group (Patch6, AXBug#7106)

* Fri Dec 12 2008 Sun Guodong <sunguodong@redflag-linux.com> 2.1.13-9%{?dist}
- modify descriptions of max UID/GID in manual (Patch3, AXBug#5597)

* Thu Nov 13 2008 Sun Guodong <sunguodong@redflag-linux.com> 2.1.13-8%{?dist}
- add start menu shortcut in spec file.

* Mon Nov 10 2008 Mika Kamei <mkamei@miraclelinux.com> 2.1.13-7%{?dist}
- add Japanese message into rfuser.desktop (Patch2, AXBug#5393)

* Thu Jan 04 2007 Nam, Kwonwoo <kwnam@haansoft.com> 2.1.13-6AX
- add source 3 4 for korean translation

* Mon Dec 11 2006 Hua Jie <jiehua@redflag-linux.com> 2.1.13-5AX
- add a patch from taohe@redflag-linux.com
- add checking for user weak password warning.
- change the default expiring date of user password to one year later than the current date by default.
- add translation of password simple dialog for zh_CN and zh_TW

* Thu May 12 2006 Shu Li <shuli@redflag-linux.com> 2.1.13-4AX 
- remove vendor Packager

* Tue Nov 08 2005 Hua Jie <jiehua@redflag-linux.com> 2.1.13-3
- add a patch from hjzheng@redflag-linux.com
- modify function about add new user

* Wed Sep 28 2005 Hua Jie <jiehua@redflag-linux.com> 2.1.13-2
- modify some Korean strings

* Thu Jul 14 2005 Wang Siyuan <sywang@redflag-linux.com> 2.1.13
- modify spec for ppc64

* Mon  Jun 6 2005 Wang Siyuan <sywang@redflag-linux.com> 2.1.12
- add big5 help support (e.g. Asianux 2.0) 

* Mon May 16 2005 Wang Siyuan <sywang@redflag-linux.com> 2.1.11
- add korea language support (e.g. Asianux 2.0) 

* Tue May 12 2005 Wang Siyuan <sywang@redflag-linux.com> 2.1.10
- add zh_tw support (e.g. Asianux 2.0) 

* Thu May 10 2005 Wang Siyuan <sywang@redflag-linux.com> 2.1.9
- remove popt lib (e.g. Asianux 2.0) 

* Thu Apr 05 2005 Zou Pengcheng <pczou@redflag-linux.com> 2.1.8
- use internal help browser in case rfhelp is not installed (e.g. Desktop 4.1) 

* Tue Jan 18 2005 Zou Pengcheng <pczou@redflag-linux.com> 2.1.7
- librfuser.so didn't contain quotamanager, redmin was not happy. fixed.

* Mon Jan 10 2005 Zou Pengcheng <pczou@redflag-linux.com> 2.1.6
- smbpasswd upgraded, cannot take passwd as argument any more. fix rfuser accordingly.

* Wed Sep 1 2004 Zou Pengcheng <pczou@redflag-linux.com> 2.1.5
- fix duplicate gid checking code.

* Wed Aug 18 2004 Zou Pengcheng <pczou@redflag-linux.com> 2.1.4
- fix user manual (seen through redmin) messy code problem (finally).

* Thu Aug 05 2004 Zou Pengcheng <pczou@redflag-linux.com> 2.1.3-1
- use internal help browser in case rfhelp is not installed (e.g. Desktop 4.1) 

* Wed May 20 2004 Pengcheng Zou <pczou@redflag-linux.com> 2.1.1-1
- change the control icon to kuser default icon

* Wed May 19 2004 Pengcheng Zou <pczou@redflag-linux.com> 2.1-1
- fix the "null password for renamed user" bug, by showing user a warning dialog.

* Tue Apr 20 2004 Wang SiYuan <sywang@redflag-linux.com>
- update to 2.0.4 fix some bugs on set quota service

* Mon Apr 12 2004 Wang SiYuan <sywang@redflag-linux.com>
- update to 2.0.3 fix some bugs

* Wed Dec 10 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 2.0.1 add quota function

* Mon Jul 28 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.26 add group max members up to 1024

* Mon Jul 21 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.25 fix "propterty setting seg fault" bug

* Wed Jul 9 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.24 

* Mon Jun 23 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.23 fix password bug, user&group sorting

* Sat Jun 21 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.21 fix samba user bug

* Thu Jun 12 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.20 fix groupList refresh bug

* Wed Jun 4 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.18 fix libuser: readlink bug

* Fri May 30 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.17 change logo and change manual dialog to non_modal

* Thu May 22 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.16 change logo

* Wed May 14 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.15
- add librfuser.so for webTool

* Thu Apr 22 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.14
- add default focus on dialog

* Thu Apr 3 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.13
- add help function 

* Tue Feb 25 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.11
- change AddSamba button`s location and add deluser warning.

* Fri Jan 24 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.10
- hide DenyLogin function.

* Thu Jan 23 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.8
- fix "add to samba" bug.

* Thu Jan 23 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.7
- fix account string length limits.

* Thu Jan 21 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.4
- fix user account string hard limits.

* Tue Jan 15 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.3
- add filter, fix some bugs

